From 9a38d4fbf2a3b441505c169533f1b96726c8b03b Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 31 Jan 2023 13:32:59 -0600
Subject: [PATCH 10/10] WIP: whitespace issues

TODO:
git grep '\*.*\w.*        \w' '*.c'
git grep '\*.* .* .*\w.*        \w' '*.c'
---
 contrib/pg_trgm/trgm_regexp.c              | 2 +-
 src/backend/access/common/tupconvert.c     | 2 +-
 src/backend/access/gin/ginfast.c           | 2 +-
 src/backend/access/heap/heapam.c           | 2 +-
 src/backend/access/heap/hio.c              | 2 +-
 src/backend/access/nbtree/nbtutils.c       | 2 +-
 src/backend/access/transam/clog.c          | 2 +-
 src/backend/access/transam/multixact.c     | 2 +-
 src/backend/access/transam/xlog.c          | 2 +-
 src/backend/catalog/aclchk.c               | 2 +-
 src/backend/catalog/namespace.c            | 6 +++---
 src/backend/catalog/pg_proc.c              | 2 +-
 src/backend/catalog/pg_shdepend.c          | 4 ++--
 src/backend/commands/analyze.c             | 2 +-
 src/backend/commands/dbcommands.c          | 2 +-
 src/backend/commands/opclasscmds.c         | 4 ++--
 src/backend/commands/vacuum.c              | 2 +-
 src/backend/executor/execAmi.c             | 2 +-
 src/backend/executor/execExpr.c            | 2 +-
 src/backend/executor/functions.c           | 2 +-
 src/backend/executor/nodeAgg.c             | 2 +-
 src/backend/executor/nodeGather.c          | 2 +-
 src/backend/executor/nodeGatherMerge.c     | 2 +-
 src/backend/executor/nodeIncrementalSort.c | 2 +-
 src/backend/lib/rbtree.c                   | 2 +-
 src/backend/libpq/be-secure-openssl.c      | 2 +-
 src/backend/optimizer/path/clausesel.c     | 2 +-
 src/backend/optimizer/path/costsize.c      | 6 +++---
 src/backend/optimizer/path/joinpath.c      | 2 +-
 src/backend/optimizer/path/pathkeys.c      | 2 +-
 src/backend/optimizer/plan/createplan.c    | 4 ++--
 src/backend/optimizer/plan/initsplan.c     | 2 +-
 src/backend/optimizer/prep/prepjointree.c  | 2 +-
 src/backend/optimizer/util/orclauses.c     | 2 +-
 src/backend/optimizer/util/pathnode.c      | 2 +-
 src/backend/optimizer/util/var.c           | 2 +-
 src/backend/parser/parse_coerce.c          | 2 +-
 src/backend/postmaster/postmaster.c        | 2 +-
 src/backend/statistics/extended_stats.c    | 2 +-
 src/backend/storage/file/fd.c              | 2 +-
 src/backend/storage/lmgr/lock.c            | 4 ++--
 src/backend/storage/smgr/smgr.c            | 2 +-
 src/backend/tcop/postgres.c                | 2 +-
 src/backend/tsearch/ts_parse.c             | 2 +-
 src/backend/utils/adt/acl.c                | 2 +-
 src/backend/utils/adt/like_support.c       | 2 +-
 src/backend/utils/adt/selfuncs.c           | 4 ++--
 src/backend/utils/adt/varlena.c            | 6 +++---
 src/backend/utils/cache/plancache.c        | 2 +-
 src/backend/utils/cache/relcache.c         | 2 +-
 src/backend/utils/cache/ts_cache.c         | 2 +-
 src/backend/utils/misc/guc.c               | 2 +-
 src/backend/utils/mmgr/dsa.c               | 2 +-
 src/bin/initdb/initdb.c                    | 2 +-
 src/bin/pg_dump/dumputils.c                | 2 +-
 src/bin/pg_dump/pg_dump.c                  | 2 +-
 src/bin/pg_test_timing/pg_test_timing.c    | 2 +-
 src/bin/pg_upgrade/server.c                | 2 +-
 src/interfaces/ecpg/ecpglib/prepare.c      | 2 +-
 src/interfaces/ecpg/pgtypeslib/timestamp.c | 2 +-
 60 files changed, 71 insertions(+), 71 deletions(-)

diff --git a/contrib/pg_trgm/trgm_regexp.c b/contrib/pg_trgm/trgm_regexp.c
index 9a00564ae4f..5f41ff1e5d1 100644
--- a/contrib/pg_trgm/trgm_regexp.c
+++ b/contrib/pg_trgm/trgm_regexp.c
@@ -1608,7 +1608,7 @@ selectColorTrigrams(TrgmNFA *trgmNFA)
 
 		/*
 		 * Does any arc of this color trigram connect initial and final
-		 * states?	If so we can't remove it.
+		 * states?  If so we can't remove it.
 		 */
 		foreach(cell, trgmInfo->arcs)
 		{
diff --git a/src/backend/access/common/tupconvert.c b/src/backend/access/common/tupconvert.c
index d303fe010a2..128d407e24a 100644
--- a/src/backend/access/common/tupconvert.c
+++ b/src/backend/access/common/tupconvert.c
@@ -93,7 +93,7 @@ convert_tuples_by_position(TupleDesc indesc,
 
 /*
  * Set up for tuple conversion, matching input and output columns by name.
- * (Dropped columns are ignored in both input and output.)	This is intended
+ * (Dropped columns are ignored in both input and output.)  This is intended
  * for use when the rowtypes are related by inheritance, so we expect an exact
  * match of both type and typmod.  The error messages will be a bit unhelpful
  * unless both rowtypes are named composite types.
diff --git a/src/backend/access/gin/ginfast.c b/src/backend/access/gin/ginfast.c
index ca7d770d864..ec3bd4f4baf 100644
--- a/src/backend/access/gin/ginfast.c
+++ b/src/backend/access/gin/ginfast.c
@@ -889,7 +889,7 @@ ginInsertCleanup(GinState *ginstate, bool full_clean,
 		vacuum_delay_point();
 
 		/*
-		 * Is it time to flush memory to disk?	Flush if we are at the end of
+		 * Is it time to flush memory to disk?  Flush if we are at the end of
 		 * the pending list, or if we have a full row and memory is getting
 		 * full.
 		 */
diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 7eb79cee58d..1e752972a4d 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -3915,7 +3915,7 @@ HeapDetermineColumnsInfo(Relation relation,
 		/*
 		 * Extract the corresponding values.  XXX this is pretty inefficient
 		 * if there are many indexed columns.  Should we do a single
-		 * heap_deform_tuple call on each tuple, instead?	But that doesn't
+		 * heap_deform_tuple call on each tuple, instead?  But that doesn't
 		 * work for system columns ...
 		 */
 		value1 = heap_getattr(oldtup, attrnum, tupdesc, &isnull1);
diff --git a/src/backend/access/heap/hio.c b/src/backend/access/heap/hio.c
index e152807d2dc..4d38667fcee 100644
--- a/src/backend/access/heap/hio.c
+++ b/src/backend/access/heap/hio.c
@@ -716,7 +716,7 @@ loop:
 	 *
 	 * XXX should we enter the new page into the free space map immediately,
 	 * or just keep it for this backend's exclusive use in the short run
-	 * (until VACUUM sees it)?	Seems to depend on whether you expect the
+	 * (until VACUUM sees it)?  Seems to depend on whether you expect the
 	 * current backend to make more insertions or not, which is probably a
 	 * good bet most of the time.  So for now, don't add it to FSM yet.
 	 */
diff --git a/src/backend/access/nbtree/nbtutils.c b/src/backend/access/nbtree/nbtutils.c
index 7da499c4dd5..634735b7306 100644
--- a/src/backend/access/nbtree/nbtutils.c
+++ b/src/backend/access/nbtree/nbtutils.c
@@ -1713,7 +1713,7 @@ _bt_check_rowcompare(ScanKey skey, IndexTuple tuple, int tupnatts,
  * any items from the page, and so there is no need to search left from the
  * recorded offset.  (This observation also guarantees that the item is still
  * the right one to delete, which might otherwise be questionable since heap
- * TIDs can get recycled.)	This holds true even if the page has been modified
+ * TIDs can get recycled.)  This holds true even if the page has been modified
  * by inserts and page splits, so there is no need to consult the LSN.
  *
  * If the pin was released after reading the page, then we re-read it.  If it
diff --git a/src/backend/access/transam/clog.c b/src/backend/access/transam/clog.c
index 4a431d58767..d6dc5739a4f 100644
--- a/src/backend/access/transam/clog.c
+++ b/src/backend/access/transam/clog.c
@@ -626,7 +626,7 @@ TransactionIdSetStatusBit(TransactionId xid, XidStatus status, XLogRecPtr lsn, i
  * an LSN that is late enough to be able to guarantee that if we flush up to
  * that LSN then we will have flushed the transaction's commit record to disk.
  * The result is not necessarily the exact LSN of the transaction's commit
- * record!	For example, for long-past transactions (those whose clog pages
+ * record!  For example, for long-past transactions (those whose clog pages
  * already migrated to disk), we'll return InvalidXLogRecPtr.  Also, because
  * we group transactions on the same clog page to conserve storage, we might
  * return the LSN of a later transaction that falls into the same group.
diff --git a/src/backend/access/transam/multixact.c b/src/backend/access/transam/multixact.c
index fe6698d5ffa..1d9fec7c3e7 100644
--- a/src/backend/access/transam/multixact.c
+++ b/src/backend/access/transam/multixact.c
@@ -2668,7 +2668,7 @@ SetOffsetVacuumLimit(bool is_startup)
 	LWLockRelease(MultiXactGenLock);
 
 	/*
-	 * Do we need an emergency autovacuum?	If we're not sure, assume yes.
+	 * Do we need an emergency autovacuum?  If we're not sure, assume yes.
 	 */
 	return !oldestOffsetKnown ||
 		(nextOffset - oldestOffset > MULTIXACT_MEMBER_SAFE_THRESHOLD);
diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index f9f0f6db8d1..231276e189d 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -2658,7 +2658,7 @@ XLogFlush(XLogRecPtr record)
 	 * the whole system due to corruption on one data page.  In particular, if
 	 * the bad page is encountered again during recovery then we would be
 	 * unable to restart the database at all!  (This scenario actually
-	 * happened in the field several times with 7.1 releases.)	As of 8.4, bad
+	 * happened in the field several times with 7.1 releases.)  As of 8.4, bad
 	 * LSNs encountered during recovery are UpdateMinRecoveryPoint's problem;
 	 * the only time we can reach here during recovery is while flushing the
 	 * end-of-recovery checkpoint record, and we don't expect that to have a
diff --git a/src/backend/catalog/aclchk.c b/src/backend/catalog/aclchk.c
index c4232344aab..ff990020e52 100644
--- a/src/backend/catalog/aclchk.c
+++ b/src/backend/catalog/aclchk.c
@@ -4056,7 +4056,7 @@ object_ownercheck(Oid classid, Oid objectid, Oid roleid)
  * Note: roles do not have owners per se; instead we use this test in
  * places where an ownership-like permissions test is needed for a role.
  * Be sure to apply it to the role trying to do the operation, not the
- * role being operated on!	Also note that this generally should not be
+ * role being operated on!  Also note that this generally should not be
  * considered enough privilege if the target role is a superuser.
  * (We don't handle that consideration here because we want to give a
  * separate error message for such cases, so the caller has to deal with it.)
diff --git a/src/backend/catalog/namespace.c b/src/backend/catalog/namespace.c
index 14e57adee2b..dee850d8bdf 100644
--- a/src/backend/catalog/namespace.c
+++ b/src/backend/catalog/namespace.c
@@ -88,7 +88,7 @@
  *
  * The textual specification of search_path can include "$user" to refer to
  * the namespace named the same as the current user, if any.  (This is just
- * ignored if there is no such namespace.)	Also, it can include "pg_temp"
+ * ignored if there is no such namespace.)  Also, it can include "pg_temp"
  * to refer to the current backend's temp namespace.  This is usually also
  * ignorable if the temp namespace hasn't been set up, but there's a special
  * case: if "pg_temp" appears first then it should be the default creation
@@ -1710,7 +1710,7 @@ OpernameGetCandidates(List *names, char oprkind, bool missing_schema_ok)
 
 			/*
 			 * Okay, it's in the search path, but does it have the same
-			 * arguments as something we already accepted?	If so, keep only
+			 * arguments as something we already accepted?  If so, keep only
 			 * the one that appears earlier in the search path.
 			 *
 			 * If we have an ordered list from SearchSysCacheList (the normal
@@ -3813,7 +3813,7 @@ recomputeNamespacePath(void)
 	 * Convert the list of names to a list of OIDs.  If any names are not
 	 * recognizable or we don't have read access, just leave them out of the
 	 * list.  (We can't raise an error, since the search_path setting has
-	 * already been accepted.)	Don't make duplicate entries, either.
+	 * already been accepted.)  Don't make duplicate entries, either.
 	 */
 	oidlist = NIL;
 	temp_missing = false;
diff --git a/src/backend/catalog/pg_proc.c b/src/backend/catalog/pg_proc.c
index 14d552fe2dd..380a948bc58 100644
--- a/src/backend/catalog/pg_proc.c
+++ b/src/backend/catalog/pg_proc.c
@@ -687,7 +687,7 @@ ProcedureCreate(const char *procedureName,
 		 * check_function_bodies is off, we don't do this, because that would
 		 * create dump ordering hazards that pg_dump doesn't know how to deal
 		 * with.  (For example, a SET clause might refer to a not-yet-created
-		 * text search configuration.)	This means that the validator
+		 * text search configuration.)  This means that the validator
 		 * shouldn't complain about anything that might depend on a GUC
 		 * parameter when check_function_bodies is off.
 		 */
diff --git a/src/backend/catalog/pg_shdepend.c b/src/backend/catalog/pg_shdepend.c
index 64d326f073c..fe1868d3b3c 100644
--- a/src/backend/catalog/pg_shdepend.c
+++ b/src/backend/catalog/pg_shdepend.c
@@ -186,7 +186,7 @@ recordDependencyOnOwner(Oid classId, Oid objectId, Oid owner)
  * an object's owner.
  *
  * There must be no more than one existing entry for the given dependent
- * object and dependency type!	So in practice this can only be used for
+ * object and dependency type!  So in practice this can only be used for
  * updating SHARED_DEPENDENCY_OWNER and SHARED_DEPENDENCY_TABLESPACE
  * entries, which should have that property.
  *
@@ -476,7 +476,7 @@ getOidListDiff(Oid *list1, int *nlist1, Oid *list2, int *nlist2)
  *
  * NOTE: Both input arrays must be sorted and de-duped.  (Typically they
  * are extracted from an ACL array by aclmembers(), which takes care of
- * both requirements.)	The arrays are pfreed before return.
+ * both requirements.)  The arrays are pfreed before return.
  */
 void
 updateAclDependencies(Oid classId, Oid objectId, int32 objsubId,
diff --git a/src/backend/commands/analyze.c b/src/backend/commands/analyze.c
index 65750958bb2..02d3676011e 100644
--- a/src/backend/commands/analyze.c
+++ b/src/backend/commands/analyze.c
@@ -1026,7 +1026,7 @@ examine_attribute(Relation onerel, int attnum, Node *index_expr)
 	 * type of the opclass, which is not interesting for our purposes.  (Note:
 	 * if we did anything with non-expression index columns, we'd need to
 	 * figure out where to get the correct type info from, but for now that's
-	 * not a problem.)	It's not clear whether anyone will care about the
+	 * not a problem.)  It's not clear whether anyone will care about the
 	 * typmod, but we store that too just in case.
 	 */
 	if (index_expr)
diff --git a/src/backend/commands/dbcommands.c b/src/backend/commands/dbcommands.c
index ef05633bb05..dccb86597d6 100644
--- a/src/backend/commands/dbcommands.c
+++ b/src/backend/commands/dbcommands.c
@@ -2083,7 +2083,7 @@ movedb(const char *dbname, const char *tblspcname)
 	 *
 	 * (This is OK because we know we aren't inside a transaction block.)
 	 *
-	 * XXX would it be safe/better to do this inside the ensure block?	Not
+	 * XXX would it be safe/better to do this inside the ensure block?  Not
 	 * convinced it's a good idea; consider elog just after the transaction
 	 * really commits.
 	 */
diff --git a/src/backend/commands/opclasscmds.c b/src/backend/commands/opclasscmds.c
index 864e35e45b4..a4cc0354baf 100644
--- a/src/backend/commands/opclasscmds.c
+++ b/src/backend/commands/opclasscmds.c
@@ -1702,7 +1702,7 @@ dropProcedures(List *opfamilyname, Oid amoid, Oid opfamilyoid,
  * Subroutine for ALTER OPERATOR CLASS SET SCHEMA/RENAME
  *
  * Is there an operator class with the given name and signature already
- * in the given namespace?	If so, raise an appropriate error message.
+ * in the given namespace?  If so, raise an appropriate error message.
  */
 void
 IsThereOpClassInNamespace(const char *opcname, Oid opcmethod,
@@ -1725,7 +1725,7 @@ IsThereOpClassInNamespace(const char *opcname, Oid opcmethod,
  * Subroutine for ALTER OPERATOR FAMILY SET SCHEMA/RENAME
  *
  * Is there an operator family with the given name and signature already
- * in the given namespace?	If so, raise an appropriate error message.
+ * in the given namespace?  If so, raise an appropriate error message.
  */
 void
 IsThereOpFamilyInNamespace(const char *opfname, Oid opfmethod,
diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index aa79d9de4d4..bf9466101a7 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -319,7 +319,7 @@ vacuum(List *relations, VacuumParams *params,
 	/*
 	 * We cannot run VACUUM inside a user transaction block; if we were inside
 	 * a transaction, then our commit- and start-transaction-command calls
-	 * would not have the intended effect!	There are numerous other subtle
+	 * would not have the intended effect!  There are numerous other subtle
 	 * dependencies on this, too.
 	 *
 	 * ANALYZE (without VACUUM) can run either way.
diff --git a/src/backend/executor/execAmi.c b/src/backend/executor/execAmi.c
index 9d18ce8c6b2..084b91f6617 100644
--- a/src/backend/executor/execAmi.c
+++ b/src/backend/executor/execAmi.c
@@ -370,7 +370,7 @@ ExecMarkPos(PlanState *node)
  * the mark operation.  It is unspecified what happens to the plan node's
  * result TupleTableSlot.  (In most cases the result slot is unchanged by
  * a restore, but the node may choose to clear it or to load it with the
- * restored-to tuple.)	Hence the caller should discard any previously
+ * restored-to tuple.)  Hence the caller should discard any previously
  * returned TupleTableSlot after doing a restore.
  */
 void
diff --git a/src/backend/executor/execExpr.c b/src/backend/executor/execExpr.c
index 812ead95bc6..797b4fa67c1 100644
--- a/src/backend/executor/execExpr.c
+++ b/src/backend/executor/execExpr.c
@@ -1946,7 +1946,7 @@ ExecInitExprRec(Expr *node, ExprState *state,
 						/*
 						 * Guard against ALTER COLUMN TYPE on rowtype since
 						 * the RowExpr was created.  XXX should we check
-						 * typmod too?	Not sure we can be sure it'll be the
+						 * typmod too?  Not sure we can be sure it'll be the
 						 * same.
 						 */
 						if (exprType((Node *) e) != att->atttypid)
diff --git a/src/backend/executor/functions.c b/src/backend/executor/functions.c
index 50e06ec6931..662c4a7d7ba 100644
--- a/src/backend/executor/functions.c
+++ b/src/backend/executor/functions.c
@@ -1668,7 +1668,7 @@ check_sql_fn_retval(List *queryTreeLists,
 	 * Otherwise, if it's INSERT/UPDATE/DELETE with RETURNING, it returns
 	 * that. Otherwise, the function return type must be VOID.
 	 *
-	 * Note: eventually replace this test with QueryReturnsTuples?	We'd need
+	 * Note: eventually replace this test with QueryReturnsTuples?  We'd need
 	 * a more general method of determining the output type, though.  Also, it
 	 * seems too dangerous to consider FETCH or EXECUTE as returning a
 	 * determinable rowtype, since they depend on relatively short-lived
diff --git a/src/backend/executor/nodeAgg.c b/src/backend/executor/nodeAgg.c
index 20d23696a53..004724741fd 100644
--- a/src/backend/executor/nodeAgg.c
+++ b/src/backend/executor/nodeAgg.c
@@ -34,7 +34,7 @@
  *	  input tuples and eliminate duplicates (if required) before performing
  *	  the above-depicted process.  (However, we don't do that for ordered-set
  *	  aggregates; their "ORDER BY" inputs are ordinary aggregate arguments
- *	  so far as this module is concerned.)	Note that partial aggregation
+ *	  so far as this module is concerned.)  Note that partial aggregation
  *	  is not supported in these cases, since we couldn't ensure global
  *	  ordering or distinctness of the inputs.
  *
diff --git a/src/backend/executor/nodeGather.c b/src/backend/executor/nodeGather.c
index 307fc10eea7..2c0530426a5 100644
--- a/src/backend/executor/nodeGather.c
+++ b/src/backend/executor/nodeGather.c
@@ -200,7 +200,7 @@ ExecGather(PlanState *pstate)
 			}
 			else
 			{
-				/* No workers?	Then never mind. */
+				/* No workers?  Then never mind. */
 				node->nreaders = 0;
 				node->reader = NULL;
 			}
diff --git a/src/backend/executor/nodeGatherMerge.c b/src/backend/executor/nodeGatherMerge.c
index 9d5e1a46e9e..71052bf08e6 100644
--- a/src/backend/executor/nodeGatherMerge.c
+++ b/src/backend/executor/nodeGatherMerge.c
@@ -241,7 +241,7 @@ ExecGatherMerge(PlanState *pstate)
 			}
 			else
 			{
-				/* No workers?	Then never mind. */
+				/* No workers?  Then never mind. */
 				node->nreaders = 0;
 				node->reader = NULL;
 			}
diff --git a/src/backend/executor/nodeIncrementalSort.c b/src/backend/executor/nodeIncrementalSort.c
index 12bc22f33c6..26ceafec5f8 100644
--- a/src/backend/executor/nodeIncrementalSort.c
+++ b/src/backend/executor/nodeIncrementalSort.c
@@ -69,7 +69,7 @@
  *	the entire result set is available.
  *
  *	The hybrid mode approach allows us to optimize for both very small
- *	groups (where the overhead of a new tuplesort is high) and very	large
+ *	groups (where the overhead of a new tuplesort is high) and very large
  *	groups (where we can lower cost by not having to sort on already sorted
  *	columns), albeit at some extra cost while switching between modes.
  *
diff --git a/src/backend/lib/rbtree.c b/src/backend/lib/rbtree.c
index f362dce220f..91eab40397f 100644
--- a/src/backend/lib/rbtree.c
+++ b/src/backend/lib/rbtree.c
@@ -87,7 +87,7 @@ static RBTNode sentinel =
  *
  * The freefunc should just be pfree or equivalent; it should NOT attempt
  * to free any subsidiary data, because the node passed to it may not contain
- * valid data!	freefunc can be NULL if caller doesn't require retail
+ * valid data!  freefunc can be NULL if caller doesn't require retail
  * space reclamation.
  *
  * The RBTree node is palloc'd in the caller's memory context.  Note that
diff --git a/src/backend/libpq/be-secure-openssl.c b/src/backend/libpq/be-secure-openssl.c
index 4e721b705d5..6a7f87f17c8 100644
--- a/src/backend/libpq/be-secure-openssl.c
+++ b/src/backend/libpq/be-secure-openssl.c
@@ -1025,7 +1025,7 @@ load_dh_file(char *filename, bool isServerStart)
  *	Load hardcoded DH parameters.
  *
  *	If DH parameters cannot be loaded from a specified file, we can load
- *	the	hardcoded DH parameters supplied with the backend to prevent
+ *	the hardcoded DH parameters supplied with the backend to prevent
  *	problems.
  */
 static DH  *
diff --git a/src/backend/optimizer/path/clausesel.c b/src/backend/optimizer/path/clausesel.c
index 435438a1735..b7dd77ca882 100644
--- a/src/backend/optimizer/path/clausesel.c
+++ b/src/backend/optimizer/path/clausesel.c
@@ -610,7 +610,7 @@ treat_as_join_clause(PlannerInfo *root, Node *clause, RestrictInfo *rinfo,
 		 * Otherwise, it's a join if there's more than one base relation used.
 		 * We can optimize this calculation if an rinfo was passed.
 		 *
-		 * XXX	Since we know the clause is being evaluated at a join, the
+		 * XXX  Since we know the clause is being evaluated at a join, the
 		 * only way it could be single-relation is if it was delayed by outer
 		 * joins.  We intentionally count only baserels here, not OJs that
 		 * might be present in rinfo->clause_relids, so that we direct such
diff --git a/src/backend/optimizer/path/costsize.c b/src/backend/optimizer/path/costsize.c
index 7918bb6f0db..991b95ab812 100644
--- a/src/backend/optimizer/path/costsize.c
+++ b/src/backend/optimizer/path/costsize.c
@@ -47,7 +47,7 @@
  * plan nodes below the LIMIT node) are set without regard to any LIMIT, so
  * that this equation works properly.  (Note: while path->rows is never zero
  * for ordinary relations, it is zero for paths for provably-empty relations,
- * so beware of division-by-zero.)	The LIMIT is applied as a top-level
+ * so beware of division-by-zero.)  The LIMIT is applied as a top-level
  * plan node.
  *
  * For largely historical reasons, most of the routines in this module use
@@ -2439,7 +2439,7 @@ cost_material(Path *path,
 	 * if it is exactly the same then there will be a cost tie between
 	 * nestloop with A outer, materialized B inner and nestloop with B outer,
 	 * materialized A inner.  The extra cost ensures we'll prefer
-	 * materializing the smaller rel.)	Note that this is normally a good deal
+	 * materializing the smaller rel.)  Note that this is normally a good deal
 	 * less than cpu_tuple_cost; which is OK because a Material plan node
 	 * doesn't do qual-checking or projection, so it's got less overhead than
 	 * most plan nodes.
@@ -3613,7 +3613,7 @@ final_cost_mergejoin(PlannerInfo *root, MergePath *path,
 	 * never spill to disk, since it only has to remember tuples back to the
 	 * last mark.  (If there are a huge number of duplicates, our other cost
 	 * factors will make the path so expensive that it probably won't get
-	 * chosen anyway.)	So we don't use cost_rescan here.
+	 * chosen anyway.)  So we don't use cost_rescan here.
 	 *
 	 * Note: keep this estimate in sync with create_mergejoin_plan's labeling
 	 * of the generated Material node.
diff --git a/src/backend/optimizer/path/joinpath.c b/src/backend/optimizer/path/joinpath.c
index 9d4a9197ee6..b5ca895f9cb 100644
--- a/src/backend/optimizer/path/joinpath.c
+++ b/src/backend/optimizer/path/joinpath.c
@@ -230,7 +230,7 @@ add_paths_to_joinrel(PlannerInfo *root,
 	 * is usually no need to create a parameterized result path unless there
 	 * is a join order restriction that prevents joining one of our input rels
 	 * directly to the parameter source rel instead of joining to the other
-	 * input rel.  (But see allow_star_schema_join().)	This restriction
+	 * input rel.  (But see allow_star_schema_join().)  This restriction
 	 * reduces the number of parameterized paths we have to deal with at
 	 * higher join levels, without compromising the quality of the resulting
 	 * plan.  We express the restriction as a Relids set that must overlap the
diff --git a/src/backend/optimizer/path/pathkeys.c b/src/backend/optimizer/path/pathkeys.c
index c4e7f97f687..175bb1d407c 100644
--- a/src/backend/optimizer/path/pathkeys.c
+++ b/src/backend/optimizer/path/pathkeys.c
@@ -896,7 +896,7 @@ convert_subquery_pathkeys(PlannerInfo *root, RelOptInfo *rel,
 				 * expression is *not* volatile in the outer query: it's just
 				 * a Var referencing whatever the subquery emitted. (IOW, the
 				 * outer query isn't going to re-execute the volatile
-				 * expression itself.)	So this is okay.
+				 * expression itself.)  So this is okay.
 				 */
 				outer_ec =
 					get_eclass_for_sort_expr(root,
diff --git a/src/backend/optimizer/plan/createplan.c b/src/backend/optimizer/plan/createplan.c
index 134130476e4..38bc21ce7b7 100644
--- a/src/backend/optimizer/plan/createplan.c
+++ b/src/backend/optimizer/plan/createplan.c
@@ -936,7 +936,7 @@ use_physical_tlist(PlannerInfo *root, Path *path, int flags)
 	 * to emit any sort/group columns that are not simple Vars.  (If they are
 	 * simple Vars, they should appear in the physical tlist, and
 	 * apply_pathtarget_labeling_to_tlist will take care of getting them
-	 * labeled again.)	We also have to check that no two sort/group columns
+	 * labeled again.)  We also have to check that no two sort/group columns
 	 * are the same Var, else that element of the physical tlist would need
 	 * conflicting ressortgroupref labels.
 	 */
@@ -4210,7 +4210,7 @@ create_foreignscan_plan(PlannerInfo *root, ForeignPath *best_path,
 	 * 0, but there can be no Var with relid 0 in the rel's targetlist or the
 	 * restriction clauses, so we skip this in that case.  Note that any such
 	 * columns in base relations that were joined are assumed to be contained
-	 * in fdw_scan_tlist.)	This is a bit of a kluge and might go away
+	 * in fdw_scan_tlist.)  This is a bit of a kluge and might go away
 	 * someday, so we intentionally leave it out of the API presented to FDWs.
 	 */
 	scan_plan->fsSystemCol = false;
diff --git a/src/backend/optimizer/plan/initsplan.c b/src/backend/optimizer/plan/initsplan.c
index 904f710d593..95c3cdb201b 100644
--- a/src/backend/optimizer/plan/initsplan.c
+++ b/src/backend/optimizer/plan/initsplan.c
@@ -1373,7 +1373,7 @@ make_outerjoininfo(PlannerInfo *root,
 	 * Presently the executor cannot support FOR [KEY] UPDATE/SHARE marking of
 	 * rels appearing on the nullable side of an outer join. (It's somewhat
 	 * unclear what that would mean, anyway: what should we mark when a result
-	 * row is generated from no element of the nullable relation?)	So,
+	 * row is generated from no element of the nullable relation?)  So,
 	 * complain if any nullable rel is FOR [KEY] UPDATE/SHARE.
 	 *
 	 * You might be wondering why this test isn't made far upstream in the
diff --git a/src/backend/optimizer/prep/prepjointree.c b/src/backend/optimizer/prep/prepjointree.c
index 870d84b29d7..3f6d4e91f89 100644
--- a/src/backend/optimizer/prep/prepjointree.c
+++ b/src/backend/optimizer/prep/prepjointree.c
@@ -1578,7 +1578,7 @@ is_simple_subquery(PlannerInfo *root, Query *subquery, RangeTblEntry *rte,
 		 * outer-query quals, but we don't have enough info here to check
 		 * that.  Also, maybe this restriction could be removed if we forced
 		 * such refs to be wrapped in PlaceHolderVars, even when they're below
-		 * the nearest outer join?	But it's a pretty hokey usage, so not
+		 * the nearest outer join?  But it's a pretty hokey usage, so not
 		 * clear this is worth sweating over.)
 		 */
 		if (lowest_outer_join != NULL)
diff --git a/src/backend/optimizer/util/orclauses.c b/src/backend/optimizer/util/orclauses.c
index 85ecdfc14f2..380d541dc5a 100644
--- a/src/backend/optimizer/util/orclauses.c
+++ b/src/backend/optimizer/util/orclauses.c
@@ -167,7 +167,7 @@ extract_or_clause(RestrictInfo *or_rinfo, RelOptInfo *rel)
 	 * cheaper.  We'll strip those nodes from the returned tree, though,
 	 * meaning that fresh ones will be built if the clause is accepted as a
 	 * restriction clause.  This might seem wasteful --- couldn't we re-use
-	 * the existing RestrictInfos?	But that'd require assuming that
+	 * the existing RestrictInfos?  But that'd require assuming that
 	 * selectivity and other cached data is computed exactly the same way for
 	 * a restriction clause as for a join clause, which seems undesirable.
 	 */
diff --git a/src/backend/optimizer/util/pathnode.c b/src/backend/optimizer/util/pathnode.c
index d749b505785..a5438819876 100644
--- a/src/backend/optimizer/util/pathnode.c
+++ b/src/backend/optimizer/util/pathnode.c
@@ -508,7 +508,7 @@ add_path(RelOptInfo *parent_rel, Path *new_path)
 								 * very small fuzz limit.  (We used to do an
 								 * exact cost comparison, but that results in
 								 * annoying platform-specific plan variations
-								 * due to roundoff in the cost estimates.)	If
+								 * due to roundoff in the cost estimates.)  If
 								 * things are still tied, arbitrarily keep
 								 * only the old path.  Notice that we will
 								 * keep only the old path even if the
diff --git a/src/backend/optimizer/util/var.c b/src/backend/optimizer/util/var.c
index c55c5f805b3..732546571e7 100644
--- a/src/backend/optimizer/util/var.c
+++ b/src/backend/optimizer/util/var.c
@@ -101,7 +101,7 @@ static Relids alias_relid_set(Query *query, Relids relids);
  *
  * NOTE: this is used on not-yet-planned expressions.  It may therefore find
  * bare SubLinks, and if so it needs to recurse into them to look for uplevel
- * references to the desired rtable level!	But when we find a completed
+ * references to the desired rtable level!  But when we find a completed
  * SubPlan, we only need to look at the parameters passed to the subplan.
  */
 Relids
diff --git a/src/backend/parser/parse_coerce.c b/src/backend/parser/parse_coerce.c
index 52787b67943..73bf0abcac7 100644
--- a/src/backend/parser/parse_coerce.c
+++ b/src/backend/parser/parse_coerce.c
@@ -1681,7 +1681,7 @@ select_common_typmod(ParseState *pstate, List *exprs, Oid common_type)
  *
  * Domains over arrays match ANYARRAY, and are immediately flattened to their
  * base type.  (Thus, for example, we will consider it a match if one ANYARRAY
- * argument is a domain over int4[] while another one is just int4[].)	Also
+ * argument is a domain over int4[] while another one is just int4[].)  Also
  * notice that such a domain does *not* match ANYNONARRAY.  The same goes
  * for ANYCOMPATIBLEARRAY and ANYCOMPATIBLENONARRAY.
  *
diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 2552327d904..d78346e45c3 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -3208,7 +3208,7 @@ process_pm_child_exit(void)
 		}
 
 		/*
-		 * Was it the autovacuum launcher?	Normal exit can be ignored; we'll
+		 * Was it the autovacuum launcher?  Normal exit can be ignored; we'll
 		 * start a new one at the next iteration of the postmaster's main
 		 * loop, if necessary.  Any other exit condition is treated as a
 		 * crash.
diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index e18398cd428..e5ed4ed90b7 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -550,7 +550,7 @@ examine_attribute(Node *expr)
 	 * of the opclass, which is not interesting for our purposes.  (Note: if
 	 * we did anything with non-expression statistics columns, we'd need to
 	 * figure out where to get the correct type info from, but for now that's
-	 * not a problem.)	It's not clear whether anyone will care about the
+	 * not a problem.)  It's not clear whether anyone will care about the
 	 * typmod, but we store that too just in case.
 	 */
 	stats->attrtypid = exprType(expr);
diff --git a/src/backend/storage/file/fd.c b/src/backend/storage/file/fd.c
index 926d000f2ea..7ea6ae7f690 100644
--- a/src/backend/storage/file/fd.c
+++ b/src/backend/storage/file/fd.c
@@ -1001,7 +1001,7 @@ BasicOpenFile(const char *fileName, int fileFlags)
  * This is exported for use by places that really want a plain kernel FD,
  * but need to be proof against running out of FDs.  Once an FD has been
  * successfully returned, it is the caller's responsibility to ensure that
- * it will not be leaked on ereport()!	Most users should *not* call this
+ * it will not be leaked on ereport()!  Most users should *not* call this
  * routine directly, but instead use the VFD abstraction level, which
  * provides protection against descriptor leaks as well as management of
  * files that need to be open for more than a short period of time.
diff --git a/src/backend/storage/lmgr/lock.c b/src/backend/storage/lmgr/lock.c
index a87372f33f9..4a6d034d962 100644
--- a/src/backend/storage/lmgr/lock.c
+++ b/src/backend/storage/lmgr/lock.c
@@ -3527,7 +3527,7 @@ PostPrepare_Locks(TransactionId xid)
 			 * the proclock would then be in the wrong hash chain.  Instead
 			 * use hash_update_hash_key.  (We used to create a new hash entry,
 			 * but that risks out-of-memory failure if other processes are
-			 * busy making proclocks too.)	We must unlink the proclock from
+			 * busy making proclocks too.)  We must unlink the proclock from
 			 * our procLink chain and put it into the new proc's chain, too.
 			 *
 			 * Note: the updated proclock hash key will still belong to the
@@ -3831,7 +3831,7 @@ GetBlockerStatusData(int blocked_pid)
 	 * In addition, to examine the lock grouping fields of any other backend,
 	 * we must hold all the hash partition locks.  (Only one of those locks is
 	 * actually relevant for any one lock group, but we can't know which one
-	 * ahead of time.)	It's fairly annoying to hold all those locks
+	 * ahead of time.)  It's fairly annoying to hold all those locks
 	 * throughout this, but it's no worse than GetLockStatusData(), and it
 	 * does have the advantage that we're guaranteed to return a
 	 * self-consistent instantaneous state.
diff --git a/src/backend/storage/smgr/smgr.c b/src/backend/storage/smgr/smgr.c
index b2bd749d770..eefba40d39a 100644
--- a/src/backend/storage/smgr/smgr.c
+++ b/src/backend/storage/smgr/smgr.c
@@ -511,7 +511,7 @@ smgrextend(SMgrRelation reln, ForkNumber forknum, BlockNumber blocknum,
  *	smgrprefetch() -- Initiate asynchronous read of the specified block of a relation.
  *
  *		In recovery only, this can return false to indicate that a file
- *		doesn't	exist (presumably it has been dropped by a later WAL
+ *		doesn't exist (presumably it has been dropped by a later WAL
  *		record).
  */
 bool
diff --git a/src/backend/tcop/postgres.c b/src/backend/tcop/postgres.c
index 5d439f27100..224db7216b8 100644
--- a/src/backend/tcop/postgres.c
+++ b/src/backend/tcop/postgres.c
@@ -4263,7 +4263,7 @@ PostgresMain(const char *dbname, const char *username)
 		 * future we might want to allow some timeout requests to survive, but
 		 * at minimum it'd be necessary to do reschedule_timeouts(), in case
 		 * we got here because of a query cancel interrupting the SIGALRM
-		 * interrupt handler.)	Note in particular that we must clear the
+		 * interrupt handler.)  Note in particular that we must clear the
 		 * statement and lock timeout indicators, to prevent any future plain
 		 * query cancels from being misreported as timeouts in case we're
 		 * forgetting a timeout cancel.
diff --git a/src/backend/tsearch/ts_parse.c b/src/backend/tsearch/ts_parse.c
index 25d98527786..8c4e1a9e327 100644
--- a/src/backend/tsearch/ts_parse.c
+++ b/src/backend/tsearch/ts_parse.c
@@ -50,7 +50,7 @@ typedef struct
 
 	/*
 	 * fields to store last variant to lexize (basically, thesaurus or similar
-	 * to, which wants	several lexemes
+	 * to, which wants several lexemes)
 	 */
 
 	ParsedLex  *lastRes;
diff --git a/src/backend/utils/adt/acl.c b/src/backend/utils/adt/acl.c
index 8f7522d1033..c7a196f960d 100644
--- a/src/backend/utils/adt/acl.c
+++ b/src/backend/utils/adt/acl.c
@@ -5091,7 +5091,7 @@ is_member_of_role_nosuper(Oid member, Oid role)
 
 
 /*
- * Is member an admin of role?	That is, is member the role itself (subject to
+ * Is member an admin of role?  That is, is member the role itself (subject to
  * restrictions below), a member (directly or indirectly) WITH ADMIN OPTION,
  * or a superuser?
  */
diff --git a/src/backend/utils/adt/like_support.c b/src/backend/utils/adt/like_support.c
index 9b603d42f3d..bdd0f5999ee 100644
--- a/src/backend/utils/adt/like_support.c
+++ b/src/backend/utils/adt/like_support.c
@@ -559,7 +559,7 @@ patternsel_common(PlannerInfo *root,
 	/*
 	 * Similarly, the exposed type of the left-hand side should be one of
 	 * those we know.  (Do not look at vardata.atttype, which might be
-	 * something binary-compatible but different.)	We can use it to identify
+	 * something binary-compatible but different.)  We can use it to identify
 	 * the comparison operators and the required type of the comparison
 	 * constant, much as in match_pattern_prefix().
 	 */
diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index fe37e65af03..93cff772703 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -5512,7 +5512,7 @@ examine_simple_variable(PlannerInfo *root, Var *var,
 		 * Punt if subquery uses set operations or GROUP BY, as these will
 		 * mash underlying columns' stats beyond recognition.  (Set ops are
 		 * particularly nasty; if we forged ahead, we would return stats
-		 * relevant to only the leftmost subselect...)	DISTINCT is also
+		 * relevant to only the leftmost subselect...)  DISTINCT is also
 		 * problematic, but we check that later because there is a possibility
 		 * of learning something even with it.
 		 */
@@ -5603,7 +5603,7 @@ examine_simple_variable(PlannerInfo *root, Var *var,
 		/*
 		 * Otherwise, the Var comes from a FUNCTION, VALUES, or CTE RTE.  (We
 		 * won't see RTE_JOIN here because join alias Vars have already been
-		 * flattened.)	There's not much we can do with function outputs, but
+		 * flattened.)  There's not much we can do with function outputs, but
 		 * maybe someday try to be smarter about VALUES and/or CTEs.
 		 */
 	}
diff --git a/src/backend/utils/adt/varlena.c b/src/backend/utils/adt/varlena.c
index 170b3a3820b..762c33c7aab 100644
--- a/src/backend/utils/adt/varlena.c
+++ b/src/backend/utils/adt/varlena.c
@@ -1435,7 +1435,7 @@ text_position_next_internal(char *start_ptr, TextPositionState *state)
 			p = hptr;
 			while (*nptr == *p)
 			{
-				/* Matched it all?	If so, return 1-based position */
+				/* Matched it all?  If so, return 1-based position */
 				if (nptr == needle)
 					return (char *) p;
 				nptr--, p--;
@@ -3712,7 +3712,7 @@ textToQualifiedNameList(text *textval)
  * amount of stuff that needs to be allocated and freed.
  *
  * Inputs:
- *	rawstring: the input string; must be overwritable!	On return, it's
+ *	rawstring: the input string; must be overwritable!  On return, it's
  *			   been modified to contain the separated identifiers.
  *	separator: the separator punctuation expected between identifiers
  *			   (typically '.' or ',').  Whitespace may also appear around
@@ -3963,7 +3963,7 @@ SplitDirectoriesString(char *rawstring, char separator,
  * Be sure to update that if you have to change this.
  *
  * Inputs:
- *	rawstring: the input string; must be overwritable!	On return, it's
+ *	rawstring: the input string; must be overwritable!  On return, it's
  *			   been modified to contain the separated identifiers.
  *	separator: the separator punctuation expected between identifiers
  *			   (typically '.' or ',').  Whitespace may also appear around
diff --git a/src/backend/utils/cache/plancache.c b/src/backend/utils/cache/plancache.c
index 77c2ba3f8f4..353fd390aee 100644
--- a/src/backend/utils/cache/plancache.c
+++ b/src/backend/utils/cache/plancache.c
@@ -401,7 +401,7 @@ CompleteCachedPlan(CachedPlanSource *plansource,
 		/*
 		 * Also save the current search_path in the query_context.  (This
 		 * should not generate much extra cruft either, since almost certainly
-		 * the path is already valid.)	Again, we don't really need this for
+		 * the path is already valid.)  Again, we don't really need this for
 		 * one-shot plans; and we *must* skip this for transaction control
 		 * commands, because this could result in catalog accesses.
 		 */
diff --git a/src/backend/utils/cache/relcache.c b/src/backend/utils/cache/relcache.c
index 13f79873733..1598f7a3418 100644
--- a/src/backend/utils/cache/relcache.c
+++ b/src/backend/utils/cache/relcache.c
@@ -2582,7 +2582,7 @@ RelationClearRelation(Relation relation, bool rebuild)
 		 * sufficient to prevent any significant change in the rel's schema,
 		 * so the existing entry contents should be good enough for its
 		 * purposes; at worst we might be behind on statistics updates or the
-		 * like.  (See also CheckTableNotInUse() and its callers.)	These same
+		 * like.  (See also CheckTableNotInUse() and its callers.)  These same
 		 * remarks also apply to the cases above where we exit without having
 		 * done RelationReloadIndexInfo() yet.
 		 */
diff --git a/src/backend/utils/cache/ts_cache.c b/src/backend/utils/cache/ts_cache.c
index 7760ad764ea..4058dddb710 100644
--- a/src/backend/utils/cache/ts_cache.c
+++ b/src/backend/utils/cache/ts_cache.c
@@ -12,7 +12,7 @@
  * safe to hold onto a pointer to the cache entry while doing things that
  * might result in recognizing a cache invalidation.  Beware however that
  * subsidiary information might be deleted and reallocated somewhere else
- * if a cache inval and reval happens!	This does not look like it will be
+ * if a cache inval and reval happens!  This does not look like it will be
  * a big problem as long as parser and dictionary methods do not attempt
  * any database access.
  *
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index bc83f3577d7..ce5a6c987bd 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -3572,7 +3572,7 @@ set_config_option_ext(const char *name, const char *value,
 
 	/*
 	 * Should we set reset/stacked values?	(If so, the behavior is not
-	 * transactional.)	This is done either when we get a default value from
+	 * transactional.)  This is done either when we get a default value from
 	 * the database's/user's/client's default settings or when we reset a
 	 * value to its default.
 	 */
diff --git a/src/backend/utils/mmgr/dsa.c b/src/backend/utils/mmgr/dsa.c
index f5a62061a3e..20111fd6fe9 100644
--- a/src/backend/utils/mmgr/dsa.c
+++ b/src/backend/utils/mmgr/dsa.c
@@ -135,7 +135,7 @@ typedef size_t dsa_segment_index;
 
 /*
  * What is the lowest bin that holds segments that *might* have n contiguous
- * free pages?	There is no point in looking in segments in lower bins; they
+ * free pages?  There is no point in looking in segments in lower bins; they
  * definitely can't service a request for n free pages.
  */
 static inline size_t
diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index 7a58c33ace3..d6a3828ad31 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -687,7 +687,7 @@ find_matching_ts_config(const char *lc_type)
 	 * underscore (usual case) or a hyphen (Windows "locale name"; see
 	 * comments at IsoLocaleName()).
 	 *
-	 * XXX Should ' ' be a stop character?	This would select "norwegian" for
+	 * XXX Should ' ' be a stop character?  This would select "norwegian" for
 	 * the Windows locale "Norwegian (Nynorsk)_Norway.1252".  If we do so, we
 	 * should also accept the "nn" and "nb" Unix locales.
 	 *
diff --git a/src/bin/pg_dump/dumputils.c b/src/bin/pg_dump/dumputils.c
index 9753a6d8682..b24e1f56525 100644
--- a/src/bin/pg_dump/dumputils.c
+++ b/src/bin/pg_dump/dumputils.c
@@ -707,7 +707,7 @@ variable_is_guc_list_quote(const char *name)
  * See comparable code in src/backend/utils/adt/varlena.c.
  *
  * Inputs:
- *	rawstring: the input string; must be overwritable!	On return, it's
+ *	rawstring: the input string; must be overwritable!  On return, it's
  *			   been modified to contain the separated identifiers.
  *	separator: the separator punctuation expected between identifiers
  *			   (typically '.' or ',').  Whitespace may also appear around
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 527c7651ab2..c730900891f 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -16151,7 +16151,7 @@ dumpIndex(Archive *fout, const IndxInfo *indxinfo)
 	/*
 	 * If there's an associated constraint, don't dump the index per se, but
 	 * do dump any comment for it.  (This is safe because dependency ordering
-	 * will have ensured the constraint is emitted first.)	Note that the
+	 * will have ensured the constraint is emitted first.)  Note that the
 	 * emitted comment has to be shown as depending on the constraint, not the
 	 * index, in such cases.
 	 */
diff --git a/src/bin/pg_test_timing/pg_test_timing.c b/src/bin/pg_test_timing/pg_test_timing.c
index c29d6f87629..ab8cf261ec3 100644
--- a/src/bin/pg_test_timing/pg_test_timing.c
+++ b/src/bin/pg_test_timing/pg_test_timing.c
@@ -1,6 +1,6 @@
 /*
  *	pg_test_timing.c
- *		tests overhead of timing calls and their monotonicity:	that
+ *		tests overhead of timing calls and their monotonicity: that
  *		they always move forward
  */
 
diff --git a/src/bin/pg_upgrade/server.c b/src/bin/pg_upgrade/server.c
index 820bddf3159..7a96fc7c79d 100644
--- a/src/bin/pg_upgrade/server.c
+++ b/src/bin/pg_upgrade/server.c
@@ -217,7 +217,7 @@ start_postmaster(ClusterInfo *cluster, bool report_and_exit_on_error)
 	strcat(socket_string,
 		   " -c listen_addresses='' -c unix_socket_permissions=0700");
 
-	/* Have a sockdir?	Tell the postmaster. */
+	/* Have a sockdir?  Tell the postmaster. */
 	if (cluster->sockdir)
 		snprintf(socket_string + strlen(socket_string),
 				 sizeof(socket_string) - strlen(socket_string),
diff --git a/src/interfaces/ecpg/ecpglib/prepare.c b/src/interfaces/ecpg/ecpglib/prepare.c
index ea1146f520f..46103acea90 100644
--- a/src/interfaces/ecpg/ecpglib/prepare.c
+++ b/src/interfaces/ecpg/ecpglib/prepare.c
@@ -519,7 +519,7 @@ AddStmtToCache(int lineno,		/* line # of statement */
 	for (ix = 0; ix < stmtCacheEntPerBucket; ++ix)
 	{
 		entry = &stmtCacheEntries[entNo];
-		if (!entry->stmtID[0])	/* unused entry  -	use it */
+		if (!entry->stmtID[0])	/* unused entry - use it */
 			break;
 		if (entry->execs < stmtCacheEntries[luEntNo].execs)
 			luEntNo = entNo;	/* save new 'least used' entry */
diff --git a/src/interfaces/ecpg/pgtypeslib/timestamp.c b/src/interfaces/ecpg/pgtypeslib/timestamp.c
index 54cc04addd2..6185fc18957 100644
--- a/src/interfaces/ecpg/pgtypeslib/timestamp.c
+++ b/src/interfaces/ecpg/pgtypeslib/timestamp.c
@@ -346,7 +346,7 @@ dttofmtasc_replace(timestamp * ts, date dDate, int dow, struct tm *tm,
 					break;
 
 					/*
-					 * The	preferred  date  and  time	representation	for
+					 * The preferred date and time representation for
 					 * the current locale.
 					 */
 				case 'c':
-- 
2.25.1

